SystemOrganization addCategory: #'DAO-SatelliteUI'!

WAComponent subclass: #CommandRequestUI
	instanceVariableNames: 'subsystems commandRequest'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 22:51'!
chooseCommand: aCommandList

	self call:( CommandsView newWithCommands: aCommandList andRequest: self commandRequest; yourself) ! !

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 16:31'!
commandRequest
	^ commandRequest ifNil: [commandRequest := CommandRequest new].! !

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 22:49'!
initialize

	| satelite |
	super initialize.
	satelite := SatelliteTest satelliteWithAllSubsystems.
	subsystems := satelite subsystems collect: [ :each | each name ]! !

!CommandRequestUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 22:33'!
renderContentOn: html
	|commands|
	
"Drop-Down Menu"
        html text: 'Subsystem: '.
        html select 
            list: subsystems ;
           " selected: 'Elija subsistema';"
            callback: [ :value |
				self commandRequest subsystemId: value id.
				commands:= value commands
				].
	html anchor 
		callback: [ self chooseCommand: commands ];
		with: 'Choose command'.
	html break.

	html submitButton
	callback: [ self answer: self commandRequest ];
	value: 'Send'.
	
! !

WAComponent subclass: #CommandsView
	instanceVariableNames: 'commandList commandRequest'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!CommandsView class methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 22:44'!
newWithCommands: commands andRequest: request

	^self new initializeWithCommands: commands andRequest: request
	! !

!CommandsView methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 17:25'!
initializeWith: commands
	
	commandList := commands.! !

!CommandsView methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 22:54'!
initializeWithCommands: commands andRequest: request
	super initialize.
	commandList := commands.
	commandRequest := request ! !

!CommandsView methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/23/2013 22:53'!
renderContentOn: html
	|  commandNames |
	commandNames:= commandList collect: [ :each | each key ].
	
	html text: 'Command '.
	html select 
            list: commandNames first;
            selected: commandNames first;
            callback: [ : name | |cmd | 
					cmd :=  commandList select: [ :aCommand | aCommand key = name ]. 
					self commandRequest commandId: cmd id.
		        	 ].
	

		html anchor
	callback: [ self answer ];
	with: 'Done'.
! !

WAComponent subclass: #DAOSatelliteControllerLauncher
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!DAOSatelliteControllerLauncher methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/21/2013 21:39'!
shutDown

	ZnZincServerAdaptor stop 

! !

!DAOSatelliteControllerLauncher methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/22/2013 22:04'!
startApp

	ZnZincServerAdaptor startOn: 8080.
	WAAdmin register: DAOSatelliteUI asApplicationAt: 'DAOSatelliteUI'

! !

WAComponent subclass: #DAOSatelliteUI
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!DAOSatelliteUI class methodsFor: 'class initialization' stamp: 'EzequielDavidovichCaballero 10/21/2013 21:22'!
initialize

WAAdmin register: DAOSatelliteUI asApplicationAt: 'DAOSatelliteUI'! !

!DAOSatelliteUI methodsFor: 'initialization' stamp: 'EzequielDavidovichCaballero 10/19/2013 13:25'!
initialize

	super initialize.
	count := 0! !

!DAOSatelliteUI methodsFor: 'rendering' stamp: 'EzequielDavidovichCaballero 10/23/2013 16:24'!
renderContentOn: html
	CommandRequestUI new renderContentOn: html! !
DAOSatelliteUI initialize!
